Package org.tmatesoft.svn.core.wc2

# Class AbstractSvnCommit

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<SVNCommitInfo>
org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNCommitInfo>
org.tmatesoft.svn.core.wc2.AbstractSvnCommit

All Implemented Interfaces:
  `ISvnObjectReceiver<SVNCommitInfo>`, `ISvnOperationOptionsProvider`

Direct Known Subclasses:
  `SvnCommit`, `SvnImport`, `SvnRemoteCopy`, `SvnRemoteDelete`, `SvnRemoteMkDir`, `SvnRemoteSetProperty`

public abstract class AbstractSvnCommit extends SvnReceivingOperation<SVNCommitInfo>
Base class for operations that change repository. The AbstractSvnCommit class provides methods to perform operations that relate to committing changes to an SVN repository. These operations are similar to respective commands of the native SVN command line client and include ones which operate on working copy items as well as ones that operate only on a repository: commit, import, remote copy, remote delete, remote make directory, remote set property.

`SvnOperation.run()` method returns `SVNCommitInfo` information on a new revision as the result of the commit.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  - `SvnCommit`
  - `SvnImport`
  - `SvnRemoteCopy`
  - `SvnRemoteDelete`
  - `SvnRemoteMkDir`
  - `SvnRemoteSetProperty`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSvnCommit(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`ISvnCommitHandler`
`getCommitHandler()`
Gets the commit handler for the operation.
`String`
`getCommitMessage()`
Gets commit log message.
`SVNProperties`
`getRevisionProperties()`
Gets custom revision properties for the operation.
`void`
`setCommitHandler(ISvnCommitHandler commitHandler)`
Sets the commit handler for the operation.
`void`
`setCommitMessage(String commitMessage)`
Sets commit log message.
`void`
`setRevisionProperties(SVNProperties revisionProperties)`
Sets custom revision properties for the operation.
`void`
`setRevisionProperty(String name, SVNPropertyValue value)`
Adds custom revision properties for the operation.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSvnCommit

protected AbstractSvnCommit(SvnOperationFactory factory)

## Method Details

### getRevisionProperties

public SVNProperties getRevisionProperties()
Gets custom revision properties for the operation. If non-`null`, `revisionProperties` holds additional, custom revision properties (`String` names mapped to `SVNPropertyValue` values) to be set on the new revision. This table cannot contain any standard Subversion properties.

Returns:
  custom revision properties

### setRevisionProperties

public void setRevisionProperties(SVNProperties revisionProperties)
Sets custom revision properties for the operation. If non-`null`, `revisionProperties` holds additional, custom revision properties (`String` names mapped to `SVNPropertyValue` values) to be set on the new revision. This table cannot contain any standard Subversion properties.

Parameters:
  `revisionProperties` - custom revision properties

### getCommitMessage

public String getCommitMessage()
Gets commit log message.

Returns:
  commit log message

### setCommitMessage

public void setCommitMessage(String commitMessage)
Sets commit log message.

Parameters:
  `commitMessage` - commit log message

### setRevisionProperty

public void setRevisionProperty(String name, SVNPropertyValue value)
Adds custom revision properties for the operation. See `setRevisionProperties(SVNProperties)`

Parameters:
  `name` - name of custom revision property
  `value` - value of custom revision property

### getCommitHandler

public ISvnCommitHandler getCommitHandler()
Gets the commit handler for the operation.

Returns:
  commit handler

### setCommitHandler

public void setCommitHandler(ISvnCommitHandler commitHandler)
Sets the commit handler for the operation.

Parameters:
  `commitHandler` - commit handler